{% extends 'user.html.twig' %}

{% block title %} {{ formation }}{% endblock %}

{% block body %}
    
    <div class="container">
        <h2>{{ formation }}</h2>
        <div class="d-grid gap-2 d-md-flex justify-content-md-end">
            <button type="button" class="btn primary press modal-trigger" data-target="modale-contact">
                +
            </button>
        </div>
        <table class="table striped centered">
            <tbody>
                <tr>
                    <th>Nom de la formation</th>
                    <td>{{formation.libelleFormation}}</td>
                </tr>
                <tr>
                    <th>Age</th>
                    <td>{{formation.age}}</td>
                </tr>
                <tr>
                    <th>Nombre de stagiaires min</th>
                    <td>{{formation.nbMinStagiaire}}</td>
                </tr>
                <tr>
                    <th>Nombre de stagiaires max</th>
                    <td>{{formation.nbMaxStagiaire}}</td>
                </tr>
                <tr>
                    <th>Nombre de formateurs</th>
                    <td>{{formation.nbFormateur}}</td>
                </tr>
                <tr>
                    <th>Categorie</th>
                    <td>{{formation.categorie}}</td>
                </tr>
                <tr>
                    <th>Diplome</th>
                    {%for formationD in formation.diplome %}
                        <td>{{formationD.libelleFormation}}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th>Cours</th>
                    {%for formationC in formation.cours %}
                        <td>{{formationC.NomCours}}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th>Prerogatives</th>
                    {%for formationP in formation.prerogatives %}
                        <td>{{formationP.libellePrerogative}}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th>Prerequis</th>
                    {%for formationPs in formation.prerequis %}
                        <td>{{formationPs.libellePrerequis}}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th>Documents</th>
                    <td>
                        {% for document in formation.uploadDocumentFormations %}
                            <img src="{{ asset('/formation/'~document.nom) }}" alt="" width="150">
                        {% else %}
                            Pas de document
                        {% endfor %}
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <!-- Ajout stagiaire formation -->
    <div class="modal white falling" id="modale-contact">
		<div class="modal-header">Ajouter un stagiaire</div>
		<div class="divider"></div>
		{{ form_start(form) }}
		<div class="modal-content">
			{{ form_widget(form.title) }}
			{{ form_row(form.email) }}
			{{ form_row(form.message) }}
		</div>
		<div class="divider"></div>
		<div class="modal-footer">
			<button class="btn small primary">Ajouter</button>
			<button data-target="modale-contact" class="btn small secondary modal-trigger">Fermer</button>
		</div>
		{{ form_end(form) }}
	</div>
{% endblock %}